/**
 * Copyright (c) 2011, 2015 - Lunifera GmbH (Gross Enzersdorf), Loetz GmbH&Co.KG (Heidelberg)
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0 
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *         Florian Pirchner - Initial implementation
 *
 * generated by Xtext 2.11.0 
 */
package org.eclipse.osbp.dsl.services.xtext.parser.antlr;

import com.google.inject.Inject;
import org.eclipse.osbp.dsl.services.xtext.parser.antlr.internal.InternalServicesGrammarParser;
import org.eclipse.osbp.dsl.services.xtext.services.ServicesGrammarGrammarAccess;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;

public class ServicesGrammarParser extends AbstractAntlrParser {

	@Inject
	private ServicesGrammarGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalServicesGrammarParser createParser(XtextTokenStream stream) {
		return new InternalServicesGrammarParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "LServiceModel";
	}

	public ServicesGrammarGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(ServicesGrammarGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
